LibreOffice LibreOffice 26.2 SDK API Reference

Modules | Variables
DictionaryListEventFlags.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::linguistic2
| Spell checker, hyphenation and thesaurus interfaces.

## Constant Groups
constants | com::sun::star::linguistic2::DictionaryListEventFlags
| constants representing a single dictionary-list event.

## Variables
const short | ADD_POS_ENTRY = 1
| A positive entry was added to a dictionary from the dictionary list. More...
const short | DEL_POS_ENTRY = 2
| A positive entry was deleted from a dictionary of the dictionary-list or a dictionary with positive entries was cleared. More...
const short | ADD_NEG_ENTRY = 4
| A negative entry was added to a dictionary from the dictionary-list. More...
const short | DEL_NEG_ENTRY = 8
| A negative entry was deleted from a dictionary of the dictionary-list or a dictionary with negative entries was cleared. More...
const short | ACTIVATE_POS_DIC = 16
| A dictionary with positive entries was activated or has changed its language. More...
const short | DEACTIVATE_POS_DIC = 32
| A dictionary with positive entries was deactivated or has changed its language. More...
const short | ACTIVATE_NEG_DIC = 64
| A dictionary with negative entries was activated or has changed its language. More...
const short | DEACTIVATE_NEG_DIC = 128
| A dictionary with negative entries was deactivated or has changed its language. More...